
/********************************************
init.h

libmawk changes (C) 2009-2010, Tibor 'Igor2' Palinkas;
based on mawk code coming with the below copyright:

copyright 1991, Michael D. Brennan

This is a source file for mawk, an implementation of
the AWK programming language.

Mawk is distributed without warranty under the terms of
the GNU General Public License, version 2, 1991.
********************************************/

#ifndef  INIT_H
#define  INIT_H

#include <libmawk/symtype.h>

/* nodes to link file names for multiple
   -f option */

extern char *sprintf_buff, *sprintf_limit;


mawk_state_t *mawk_initialize(int, char **);
void mawk_uninitialize(mawk_state_t * m);
void code_init(mawk_state_t *);
void code_cleanup(void);
void compile_cleanup(void);
int mawk_scan_init(mawk_state_t *, char *);
void bi_vars_init(mawk_state_t * MAWK);
void bi_funct_init(mawk_state_t *);
void print_init(void);
void mawk_kw_init(mawk_state_t * MAWK);
void mawk_field_init(mawk_state_t *);
void mawk_fpe_init(void);
void mawk_load_environ(mawk_state_t * MAWK, ARRAY);
void mawk_set_stderr(mawk_state_t * MAWK);
void mawk_append_input_file(mawk_state_t * MAWK, const char *fn, int bytecode);

int mawk_is_cmdline_assign(mawk_state_t *, char *);


#endif /* INIT_H  */
