#!/bin/sh

LMAWK=../lmawk

filt()
{
	sed "s/<<[x0-9a-fA-F]*>>/<<ptr>>/g"
}

bintest()
{
	($LMAWK -Wdump -f $1 || return 1) | filt > $1.orig
	$LMAWK -Wcompile -f $1  > $1.bin || return 1
	($LMAWK -Wdump -b $1.bin || return 1) | filt > $1.new
	diff $1.orig $1.new || return 1
	rm $1.orig $1.new $1.bin
}

echo "Testing binary save/load"
fail=0
for n in *.awk ../examples/*.awk
do
	bintest $n || fail=1
done

exit $fail
